## EEmoticonChooser EEmoticonChooser |

## Functions

EEmoticon * | e_emoticon_chooser_get_current_emoticon ()
void | e_emoticon_chooser_set_current_emoticon ()
void | e_emoticon_chooser_item_activated ()
GList * | e_emoticon_chooser_get_items ()
const EEmoticon * | e_emoticon_chooser_lookup_emoticon ()

## Description

## Functions

### e_emoticon_chooser_get_current_emoticon ()

    EEmoticon *
    e_emoticon_chooser_get_current_emoticon
                                   (EEmoticonChooser *chooser);

`e_emoticon_chooser_get_current_emoticon` is deprecated and should not be used in newly-written code.

### e_emoticon_chooser_set_current_emoticon ()

    void
    e_emoticon_chooser_set_current_emoticon
                                   (EEmoticonChooser *chooser,
                                    EEmoticon *emoticon);

`e_emoticon_chooser_set_current_emoticon` is deprecated and should not be used in newly-written code.

### e_emoticon_chooser_item_activated ()

    void
    e_emoticon_chooser_item_activated (EEmoticonChooser *chooser);

`e_emoticon_chooser_item_activated` is deprecated and should not be used in newly-written code.

### e_emoticon_chooser_get_items ()

    GList *
    e_emoticon_chooser_get_items (void);

`e_emoticon_chooser_get_items` is deprecated and should not be used in newly-written code.

### e_emoticon_chooser_lookup_emoticon ()

    const EEmoticon *
    e_emoticon_chooser_lookup_emoticon (const gchar *icon_name);

`e_emoticon_chooser_lookup_emoticon` is deprecated and should not be used in newly-written code.

## Types and Values